## python-oslo.versionedobjects 3.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
WebOb>=1.7.1 # MIT
netaddr>=0.7.18 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:00:56 +0200

python-oslo.versionedobjects (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:57:00 +0200

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest,
 python3-stestr,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects
Testsuite: autopkgtest-pkg-python

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python3-oslo.versionedobjects
Architecture: all
Depends:
 python3-fixtures,
 python3-iso8601,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.versionedobjects/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.versionedobjects 3.1.0

=== debian/changelog ===
python-oslo.versionedobjects (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046618).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:07:16 +0200

python-oslo.versionedobjects (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:47:57 +0200

python-oslo.versionedobjects (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:46:07 +0100

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html
	dh_sphinxdoc
endif

## python-oslo.versionedobjects 3.2.0

=== debian/changelog ===
python-oslo.versionedobjects (3.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 21:32:40 +0000

python-oslo.versionedobjects (3.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:58:17 -0400

python-oslo.versionedobjects (3.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:24:53 -0500

python-oslo.versionedobjects (3.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:28:19 -0400

python-oslo.versionedobjects (2.6.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:18:18 -0400

python-oslo.versionedobjects (2.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:25:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,44 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-fixtures,
- python3-hacking,
- python3-iso8601,
- python3-jsonschema,
- python3-netaddr,
- python3-openstackdocstheme,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-fixtures (>= 3.0.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 4.7.0),
- python3-oslotest,
- python3-stestr,
- python3-testtools,
- python3-webob,
+ python3-oslotest (>= 1:3.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
-Homepage: https://github.com/openstack/oslo.versionedobjects
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
+Homepage: https://opendev.org/openstack/oslo.versionedobjects
 
 Package: python-oslo.versionedobjects-doc
 Section: doc
@@ -59,17 +60,17 @@
 Architecture: all
 Depends:
  python3-fixtures,
- python3-iso8601,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
+ python3-iso8601 (>= 0.1.11),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 4.7.0),
- python3-webob,
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
+export PYBUILD_NAME=oslo_versionedobjects
+
+UPSTREAM_GIT := https://opendev.org/openstack/oslo.versionedobjects.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf build
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.versionedobjects 3.3.0

=== requirements.txt ===
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
WebOb>=1.7.1 # MIT
netaddr>=0.7.18 # BSD

=== debian/changelog ===
python-oslo.versionedobjects (3.3.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:58:20 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu3) noble; urgency=medium

  * d/p/bug2046220.patch: Refresh from upstream review.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 10:54:39 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu2) noble; urgency=medium

  * d/p/bug2046220.patch: Cherry pick proposed upstream fix to resolve
    cross Python version compatibility of fixtures module.
  * d/p/remove-test_get_hashes-LP-2046220.patch: Drop in preference to
    the above fix.
  * d/tests/python-*: Test with supported Pythons only.
  * d/tests/control: Drop use of needs-recommends restriction.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 10:05:20 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - d/control: Update minimum version requirements to ensure smooth
      upgrades between and from Ubuntu Cloud Archive pockets.
    - d/control: Bump debhelper-compat to 13.
    - d/control: Update Vcs-Git to Ubuntu Openstack URL on LP.
    - d/tests/*: Use autopkgtests from previous Ubuntu upload that cover
      basic import and unit testing (LP: #2049369).
    - d/watch: Use version from previous Ubuntu upload that checks for
      release tarballs from upstream project.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 09:35:30 +0000

python-oslo.versionedobjects (3.2.0-3) unstable; urgency=medium

  * Add remove-test_get_hashes-LP-2046220.patch.
  * Display /tmp/sphinx-err-*.log if there's a sphinx build error.
  * Add fix-sphinx-build-by-deleting-some-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2023 16:28:08 +0100

python-oslo.versionedobjects (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:17:01 +0200

python-oslo.versionedobjects (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
+ python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
- python3-openstackdocstheme (>= 2.2.1),
- python3-fixtures (>= 3.0.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 3.2.0),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),

## python-oslo.versionedobjects 3.4.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
-oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.serialization>=2.18.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 oslo.log>=3.36.0 # Apache-2.0

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

mock>=2.0.0 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.versionedobjects (3.4.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Mon, 05 Aug 2024 15:52:53 +0000

python-oslo.versionedobjects (3.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Drop surplus test requirements.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 3.2.0),
  python3-mock (>= 2.0.0),

## python-oslo.versionedobjects 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0

=== debian/changelog ===
python-oslo.versionedobjects (3.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/bug2046220.patch: Drop, included in release.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:07:24 +0000

## python-oslo.versionedobjects 3.6.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 oslo.context>=2.19.2 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.serialization>=2.18.0 # Apache-2.0
-oslo.utils>=4.7.0 # Apache-2.0
+oslo.utils>=7.4.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 oslo.log>=3.36.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-oslo.versionedobjects (3.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:39:54 +0100

python-oslo.versionedobjects (3.6.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:47:20 +0100

python-oslo.versionedobjects (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop fixture_Drop_use_of_OrderedDict_for_Python_compat.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:49:54 +0100

python-oslo.versionedobjects (3.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090582).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:26:05 +0100

python-oslo.versionedobjects (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:09:39 +0200

python-oslo.versionedobjects (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:36:04 +0200

python-oslo.versionedobjects (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:49:23 +0200

python-oslo.versionedobjects (3.3.0-1) experimental; urgency=medium

  * Mew upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 23:03:27 +0100

python-oslo.versionedobjects (3.2.0-4) unstable; urgency=medium

  * Replaced remove-test_get_hashes-LP-2046220.patch. by new patch from
    James Page: fixture_Drop_use_of_OrderedDict_for_Python_compat.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 08:34:47 +0100

=== debian/control ===
Source: python-oslo.versionedobjects
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-iso8601,
 python3-jsonschema,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils (>= 7.4.0),
 python3-oslotest,
 python3-stestr,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
Homepage: https://github.com/openstack/oslo.versionedobjects
Testsuite: autopkgtest-pkg-python

Package: python-oslo.versionedobjects-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: deals with DB schema versions and code expectations - doc
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the documentation.

Package: python3-oslo.versionedobjects
Architecture: all
Depends:
 python3-fixtures,
 python3-iso8601,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.serialization,
 python3-oslo.utils (>= 7.4.0),
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.versionedobjects-doc,
Description: deals with DB schema versions and code expectations - Python 3.x
 oslo.versionedobjects library deals with DB schema being at different versions
 than the code expects, allowing services to be operated safely during
 upgrades. It enables DB independent schema by providing an abstraction layer,
 which allows one to support SQL and NoSQL Databases. oslo.versionedobjects is
 also used in RPC APIs, to ensure upgrades happen without spreading version
 dependent code across different services and projects.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! python3 -m sphinx -b html doc/source debian/python-oslo.versionedobjects-doc/usr/share/doc/python-oslo.versionedobjects-doc/html ; then \
		cat /tmp/sphinx-err-*.log ; \
		exit 1 ; \
	fi
	dh_sphinxdoc
endif

## python-oslo.versionedobjects 3.7.0+git2025070911.5c2d02e

=== debian/changelog ===
python-oslo.versionedobjects (3.7.0+git2025070911.5c2d02e-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:51:11 -0400

python-oslo.versionedobjects (3.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:55:13 +0000

## python-oslo.versionedobjects 3.8.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,5 +3,4 @@
 sphinx>=2.0.0 # BSD
 reno>=3.1.0 # Apache-2.0
 
-mock>=2.0.0 # BSD
 fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.versionedobjects (3.8.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 11:35:32 -0700

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,40 @@
 Source: python-oslo.versionedobjects
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-fixtures,
- python3-iso8601,
- python3-jsonschema,
- python3-netaddr,
- python3-openstackdocstheme,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
+ python3-fixtures (>= 3.0.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-jsonschema (>= 3.2.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 7.4.0),
- python3-oslotest,
- python3-stestr,
- python3-testtools,
- python3-webob,
+ python3-oslotest (>= 1:3.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
  subunit,
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.versionedobjects.git
-Homepage: https://github.com/openstack/oslo.versionedobjects
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.versionedobjects
+Homepage: https://opendev.org/openstack/oslo.versionedobjects
 
 Package: python-oslo.versionedobjects-doc
 Section: doc
@@ -58,17 +56,17 @@
 Architecture: all
 Depends:
  python3-fixtures,
- python3-iso8601,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.context,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.messaging,
- python3-oslo.serialization,
+ python3-iso8601 (>= 0.1.11),
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 7.4.0),
- python3-webob,
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
+export PYBUILD_NAME=oslo_versionedobjects
+
+UPSTREAM_GIT := https://opendev.org/openstack/oslo.versionedobjects.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
-	find . -iname '*.pyc' -delete
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
+	rm -rf build
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.versionedobjects/ oslo.versionedobjects-(\d.*)\.tar\.gz

## python-oslo.versionedobjects 3.9.0

=== debian/changelog ===
python-oslo.versionedobjects (3.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:34:25 +0100

python-oslo.versionedobjects (3.8.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046618).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 22:43:10 +0100

python-oslo.versionedobjects (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:34:33 +0200

python-oslo.versionedobjects (3.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-iso8601 from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:26:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,15 @@
 #!/usr/bin/make -f
 
-export PYBUILD_NAME=oslo_versionedobjects
-
-UPSTREAM_GIT := https://opendev.org/openstack/oslo.versionedobjects.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.versionedobjects.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
